package com.taais.biz.component;

import com.taais.biz.service.IAlgorithmTaskService;
import jakarta.annotation.Resource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class ScheduledTasks {
    private static final Logger log = LoggerFactory.getLogger(ScheduledTasks.class);

    @Resource
    IAlgorithmTaskService algorithmTaskService;
    @Scheduled(fixedRate = 10000)
    public void runTask() {
        log.info("ScheduledTasks.runTask start");
        algorithmTaskService.taskRun();
        log.info("ScheduledTasks.runTask end");
    }
}
